#!/bin/bash
#
#
#
export WORKING_DIRECTORY=/tmp
cd $WORKING_DIRECTORY
# AFTER this line NO change
echo $WORKING_DIRECTORY/indi_fork
rm -fr $WORKING_DIRECTORY/indi_fork
echo `pwd`
mkdir -p ./indi_fork
cd ./indi_fork
echo `pwd`
#if false; then
echo "clone INDI from github, please wait"
git clone --depth 1  --single-branch --branch ap_park3   https://github.com/wildi/indi.git
cd ./indi
echo `pwd`
git checkout ap_park3

cd ..
echo `pwd`
mkdir -p build
cd build
echo "doing cmake"

if cmake -DCMAKE_INSTALL_PREFIX=/usr/local -DCMAKE_BUILD_TYPE=Debug ../indi; then
    echo "cmake done"
else
    echo "cmake failed"
    exit 1
fi

if  make -j 4; then
    echo "make done"
else
    echo "make failed"
    exit 1
fi
if cmake -E create_symlink indi_lx200generic ./indi_lx200ap_experimental; then
    echo "create link done"
else
    echo"create link failed"
    exit 1
fi
echo "see  ./indi_lx200ap_experimental"
if ls -l ./indi_lx200ap_experimental; then
    echo "created symlink"
else
    echo"creatation symlink failed"
    exit 1
fi
#fi
if rm -fr $HOME/indi_cold_start; then
    echo "deleted directory to $HOME/indi_cold_start"
else
    echo "failed to delete directory to $HOME/indi_cold_start"
    exit 1
fi

if mkdir $HOME/indi_cold_start; then
    echo "created directory to $HOME/indi_cold_start"
else
    echo "failed to creat directory to $HOME/indi_cold_start"
    exit 1
fi

cd $WORKING_DIRECTORY
if rsync -av ./indi_fork/* $HOME/indi_cold_start/; then
    echo "synced to $HOME/indi_cold_start/"
else
    echo "failed to sync to $HOME/indi_cold_start/"
    exit 1
fi

#if cp -r ./indi_fork/indi $HOME/indi_cold_start/ && cp -r ./indi_fork/build $HOME/indi_cold_start/ ; then
#    echo "copied working directory to $HOME/indi_cold_start"
#else
#    echo "failed to copy working directory to $HOME/indi_cold_start"
#    exit 1
#fi

if cd $HOME/indi_cold_start/build; then
    echo "changed to $HOME/indi_cold_start/build"
else
    echo "failed to change to $HOME/indi_cold_start/build"
    exit 1
fi
echo "starting indiserver, use CTRL-C to stop"
./indiserver ./indi_lx200ap_experimental
echo "DONE with all"
